Skip to content

Restore Content

POST
/api/content/{id}/restore

Restore custom content to match the original system content.

Authorizations

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Parameters

Path Parameters

id*
Type
string
Required

Responses

Restore custom content to match system content

application/vnd.api+json
JSON
{
  
"data": {
  
  
"type": "content",
  
  
"id": "string",
  
  
"attributes": {
  
  
  
"urn": "string",
  
  
  
"title": "string",
  
  
  
"body": "string",
  
  
  
"metadata": null,
  
  
  
"owner_type": "string",
  
  
  
"owner_id": "string",
  
  
  
"base_content_id": "string",
  
  
  
"created_at": "string",
  
  
  
"updated_at": "string"
  
  
},
  
  
"links": {
  
  
  
"self": "string"
  
  
}
  
}
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

AstroAPI Documentation